local lastCurrent = nil;
local lastClick = nil;
local lastClickTime = GetTime();

-- OnLoad handler
function AbilityClick_OnLoad()
	AbilityClick:RegisterEvent("ACTIONBAR_UPDATE_STATE");
end

-- Get the current action
local function getCurrentAction()
	for i=1,120 do
		if(IsCurrentAction(i)) then
			return i;
		end
	end
	
	return nil;
end

-- Event handler
function AbilityClick_OnEvent(event)
	if(event == "ACTIONBAR_UPDATE_STATE") then
		local current = getCurrentAction();
		--print("[state] Current: " .. (current or "n/a") 
		--	.. ", last: " .. (lastCurrent or "n/a") 
		--	.. ", last click: " .. (lastClick or "n/a")
		--	.. ", dt: " .. (GetTime() - lastClickTime));
		if(current ~= lastCurrent) then
			lastCurrent = current;
			if(current ~= nil) then
				-- Try and eliminate double clicks from the same ability
				if(lastClickTime == nil) or (lastClick ~= current) or (GetTime() - lastClickTime > 0.5) then
					lastClickTime = GetTime();
					PlaySoundFile("Interface\\AddOns\\AbilityClick\\sounds\\click18a.ogg");
					lastClick = current;
				end
			end		
		end

		return
	end
end
